Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.jasig.portal.tools.checks
Class SafeDelegatingCheckRunner

    java.lang.Object
      org.jasig.portal.tools.checks.SafeDelegatingCheckRunner

All Implemented Interfaces:
  ICheckRunner

    public class SafeDelegatingCheckRunner

extends java.lang.Object
implements ICheckRunner

SafeDelegatingCheckRunner safely attempts to delegate to a Spring-configured ICheckRunner. Even if Spring isn't present or that ICheckRunner is misconfigured or broken, instances of this class will still implement the ICheckRunner API - that is, they will express this failure as a return value from the interface method.

Since:
  uPortal 2.5
Version:
  $Revision: 1.3 $ $Date: 2005/05/20 01:50:19 $

Field Summary
`static java.lang.String` | `CHECKS_KEY` The name of the Spring bean we expect will be an instance of ICheckRunner to which we will be delegating.
`private org.apache.commons.logging.Log` | `log`

Constructor Summary
`SafeDelegatingCheckRunner()`

Method Summary
`private boolean` | `containsFailedCheck(java.util.List results)` Return true if any CheckAndResult in the list of results is not a success.
`java.util.List` | `doChecks()` Execute some checks and return a List of CheckAndResult instances representing the results.

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### log

    private org.apache.commons.logging.Log log

### CHECKS_KEY

    public static final java.lang.String CHECKS_KEY

  The name of the Spring bean we expect will be an instance of ICheckRunner to which we will be delegating.

  See Also:
    Constant Field Values

Constructor Detail

### SafeDelegatingCheckRunner

    public SafeDelegatingCheckRunner()

Method Detail

### doChecks

    public java.util.List doChecks()

  Description copied from interface: `ICheckRunner`
  Execute some checks and return a List of CheckAndResult instances representing the results.

  Specified by:
    `doChecks` in interface `ICheckRunner`
  Returns:
    a List of CheckAndResult instances.

### containsFailedCheck

    private boolean containsFailedCheck(java.util.List results)

  Return true if any CheckAndResult in the list of results is not a success.

  Parameters:
    `results` - a List of CheckAndResult instances.
  Returns:
    true if any failures, false otherwise

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD